/*
 *            Gax - Galaxy, Amateur Astronomical Database
 *       Copyright (C) 1998 - manders1@csc.com (Mark Anderson)
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details in file GNU-GPL.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef	CAT_h
#define	CAT_h

#include <mpa.h>

/*
 *	Object Types
 */
enum { TYP_UN, TYP_GX, TYP_PN, TYP_BN, TYP_DN, TYP_GC, TYP_OC, TYP_ST };

/*
 *	Object Classes for Type TYP_GX (Galaxy) [Galaxy Catalog]
 */
enum {
	CGX_UNK, CGX_M,   CGX_PGC, CGX_NGC, CGX_IC, CGX_UGC, CGX_MCG,
	CGX_ESO, CGX_CGC, CGX_VV,  CGX_MK,  CGX_ARP
};

#define	SIZ_MAX		4

#endif
