/*
 *            Gax - Galaxy, Amateur Astronomical Database
 *       Copyright (C) 1998 - manders1@csc.com (Mark Anderson)
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details in file GNU-GPL.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <gax.h>

gax_ver (UB *s)
{
	printf ("%s-1.0, catalogs:", s);

#ifdef GX_M
		printf (" Messier");
#endif
#ifdef GX_NGC
		printf (" NGC");
#endif
#ifdef GX_IC
		printf (" IC");
#endif
#ifdef GX_UGC
		printf (" UGC");
#endif
#ifdef GX_MCG
		printf (" MCG");
#endif
#ifdef GX_ESO
		printf (" ESO");
#endif
#ifdef GX_CGC
		printf (" CGCG");
#endif
#ifdef GX_ARP
		printf (" ARP");
#endif
#ifdef GX_MK
		printf (" Markarian");
#endif
#ifdef GX_VV
		printf (" VV");
#endif
#ifdef GX_PGC
		printf (" PGC");
#endif

		printf ("\n");
}

