/*
 *            Gax - Galaxy, Amateur Astronomical Database
 *       Copyright (C) 1998 - manders1@csc.com (Mark Anderson)
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details in file GNU-GPL.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef TIM_h
#define	TIM_h

fp64_t tim_DMY2JD (fp64_t D, UL M, UL Y);
fp64_t tim_JD2GMST0 (fp64_t JD);
fp64_t tim_transit (SL r, SL l, fp64_t GMST0);
fp64_t tim_rise (SL r, SL l, fp64_t GMST0, SL h0, SL lat, SL dec);
fp64_t tim_set (SL r, SL l, fp64_t GMST0);

#endif
