/*
 *            Gax - Galaxy, Amateur Astronomical Database
 *       Copyright (C) 1998 - manders1@csc.com (Mark Anderson)
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details in file GNU-GPL.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef MPA_h
#define MPA_h


#define UL ulong_t
#define UW uword_t
#define UB ubyte_t
#define SL  long_t
#define SW  word_t
#define SB  byte_t
#define VD  void_t

#ifdef __hpux
#include <sys/types.h>
#else
typedef unsigned int	ulong_t;
#endif

typedef unsigned short	uword_t;
typedef unsigned char	ubyte_t;

typedef   signed int	 long_t;
typedef   signed short	 word_t;
typedef   signed char	 byte_t;


typedef   float fp32_t;
typedef  double fp64_t;

typedef	   void	void_t;

#define	INAN	0x1000FFFF			/* integer Not-A-Number */
#define	FNAN	1.0E+38				/* float   Not-A-Number */

#define	TWOPI	6.28318530717948

#endif

